%define upstream_name	 Apache-LogRegex
%define upstream_version 1.71

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to parse a line from an Apache logfile into a hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This implements a simple Perl class to parse Apache log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml
%{perl_vendorlib}/Apache/*
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.710.0-3.mga6
+ Revision: 1022526
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.710.0-2.mga6
+ Revision: 971301
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.710.0-1.mga6
+ Revision: 891216
- update to 1.71

* Tue Jun 30 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 848503
- update to 1.70

* Wed Oct 15 2014 umeabot <umeabot> 1.520.0-4.mga5
+ Revision: 742631
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.520.0-3.mga5
+ Revision: 683491
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.520.0-2.mga4
+ Revision: 526317
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.520.0-1.mga4
+ Revision: 436607
- update to 1.52

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-3.mga3
+ Revision: 362969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 1.500.0-2.mga3
+ Revision: 326916
- fix regex stringification (rt#66947)

* Thu Jan 13 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 9178
- imported package perl-Apache-LogRegex


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2010.1
+ Revision: 504565
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.5-2mdv2010.0
+ Revision: 440529
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2009.1
+ Revision: 305698
- update to new version 1.5

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.4-3mdv2009.0
+ Revision: 255275
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4-1mdv2008.1
+ Revision: 136657
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.4-1mdv2008.0
+ Revision: 19179
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.3-1mdv2007.0
+ Revision: 73199
- import perl-Apache-LogRegex-1.3-1mdv2007.0

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-1mdv2007.0
- New release 1.3

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Sat Jun 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2-1mdk
- First Mandriva release

